com.elastisys.scale.cloudpool.openstack.functions

## Class StatusToMachineState

- java.lang.Object
- - com.elastisys.scale.cloudpool.openstack.functions.StatusToMachineState

All Implemented Interfaces:
  com.google.common.base.Function<org.openstack4j.model.compute.Server.Status,MachineState>

    public class StatusToMachineState
    extends Object
    implements com.google.common.base.Function<org.openstack4j.model.compute.Server.Status,MachineState>

A `Function` that takes a `Server` status and converts it to the corresponding `MachineState`.

### Constructor Summary

Constructors
Constructor and Description
`StatusToMachineState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MachineState` `apply(org.openstack4j.model.compute.Server.Status state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Function

`equals`

### Constructor Detail

#### StatusToMachineState

    public StatusToMachineState()

### Method Detail

#### apply

    public MachineState apply(org.openstack4j.model.compute.Server.Status state)

Specified by:
  `apply` in interface `com.google.common.base.Function<org.openstack4j.model.compute.Server.Status,MachineState>`